Module | TkMacResource
In: | tk/lib/tk/macpkg.rb

### Methods

close delete files list open package_name read types write

### Constants

TkCommandNames | = | ['resource'.freeze].freeze
PACKAGE_NAME | = | 'resource'.freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tk/macpkg.rb, line 30
      def self.package_name
        PACKAGE_NAME
      end

### Public Instance methods

close(rsrcRef)

[Source]

    # File tk/lib/tk/macpkg.rb, line 36
      def close(rsrcRef)
        tk_call('resource', 'close', rsrcRef)
      end

delete(rsrcType, opts=nil)

[Source]

    # File tk/lib/tk/macpkg.rb, line 40
      def delete(rsrcType, opts=nil)
        tk_call('resource', 'delete', *(hash_kv(opts) << rsrcType))
      end

files(rsrcRef=nil)

[Source]

    # File tk/lib/tk/macpkg.rb, line 44
      def files(rsrcRef=nil)
        if rsrcRef
          tk_call('resource', 'files', rsrcRef)
        else
          tk_split_simplelist(tk_call('resource', 'files'))
        end
      end

list(rsrcType, rsrcRef=nil)

[Source]

    # File tk/lib/tk/macpkg.rb, line 52
      def list(rsrcType, rsrcRef=nil)
        tk_split_simplelist(tk_call('resource', 'list', rsrcType, rsrcRef))
      end

open(fname, access=nil)

[Source]

    # File tk/lib/tk/macpkg.rb, line 56
      def open(fname, access=nil)
        tk_call('resource', 'open', fname, access)
      end

read(rsrcType, rsrcID, rsrcRef=nil)

[Source]

    # File tk/lib/tk/macpkg.rb, line 60
      def read(rsrcType, rsrcID, rsrcRef=nil)
        tk_call('resource', 'read', rsrcType, rsrcID, rsrcRef)
      end

types(rsrcRef=nil)

[Source]

    # File tk/lib/tk/macpkg.rb, line 64
      def types(rsrcRef=nil)
        tk_split_simplelist(tk_call('resource', 'types', rsrcRef))
      end

write(rsrcType, data, opts=nil)

[Source]

    # File tk/lib/tk/macpkg.rb, line 68
      def write(rsrcType, data, opts=nil)
        tk_call('resource', 'write', *(hash_kv(opts) << rsrcType << data))
      end

[Validate]